LOCKTEST(1)

NAME
locktest - Find differences in locking between two SMB servers

SYNOPSIS

locktest {//server1/share1} {//server2/share2} [-U user%pass] [-U user%pass] [-s seed] [-o numops] [-a] [-O] [-E] [-Z] [-R range] [-B base] [-M min]

DESCRIPTION

locktest is a utility for detecting differences in behaviour in locking between SMB servers. It will run a random set of locking operations against //server1/share1 and then the same random set against //server2/share2 and display the differences in the responses it gets.

This utility is used by the Samba team to find differences in behaviour between Samba and Windows servers.

OPTIONS

-U user%pass
    Specify the user and password to use when logging on on the shares. This parameter can be specified twice (once for the first server, once for the second).

-s seed
    Seed the random number generator with the specified value.

-o numops
    Set the number of operations to perform.

-a
    Print the operations that are performed.

-A
    Backtrack to find minimal number of operations required to make the response to a certain call differ.

-O
    Enable oplocks.

-u
    Hide unlock fails.

-E
    enable exact error code checking

-Z
    enable the zero/zero lock

-R range
    set lock range

-B base
    set lock base

-M min
    set min lock length

-k
    Use kerberos

VERSION

This man page is correct for version 4.0 of the Samba suite.

SEE ALSO

Samba

AUTHOR

This utility is part of the Samba[1] suite, which is developed by the global Samba Team[2].

locktest was written by Andrew Tridgell.

This manpage was written by Jelmer Vernooij.

NOTES

1.  Samba
    http://www.samba.org/

2.  Samba Team
    http://www.samba.org/samba/team/